package demo.decisions;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class QuoteRequest implements java.io.Serializable
{

   static final long serialVersionUID = 1L;

   private java.lang.String requestedLimits;
   private java.util.Date policyEffectiveDate;
   private java.lang.Integer employeeCount;
   private java.lang.Integer classID;
   private java.lang.Double deductable;
   private java.lang.Double premium;

   private java.lang.Float baseRate;

   private java.lang.Float loadFactor;

   private java.lang.Boolean calculationExecuted;

   public QuoteRequest()
   {
   }

   public java.lang.String getRequestedLimits()
   {
      return this.requestedLimits;
   }

   public void setRequestedLimits(java.lang.String requestedLimits)
   {
      this.requestedLimits = requestedLimits;
   }

   public java.util.Date getPolicyEffectiveDate()
   {
      return this.policyEffectiveDate;
   }

   public void setPolicyEffectiveDate(java.util.Date policyEffectiveDate)
   {
      this.policyEffectiveDate = policyEffectiveDate;
   }

   public java.lang.Integer getEmployeeCount()
   {
      return this.employeeCount;
   }

   public void setEmployeeCount(java.lang.Integer employeeCount)
   {
      this.employeeCount = employeeCount;
   }

   public java.lang.Integer getClassID()
   {
      return this.classID;
   }

   public void setClassID(java.lang.Integer classID)
   {
      this.classID = classID;
   }

   public java.lang.Double getDeductable()
   {
      return this.deductable;
   }

   public void setDeductable(java.lang.Double deductable)
   {
      this.deductable = deductable;
   }

   public java.lang.Double getPremium()
   {
      return this.premium;
   }

   public void setPremium(java.lang.Double premium)
   {
      this.premium = premium;
   }

   public java.lang.Float getBaseRate()
   {
      return this.baseRate;
   }

   public void setBaseRate(java.lang.Float baseRate)
   {
      this.baseRate = baseRate;
   }

   public java.lang.Float getLoadFactor()
   {
      return this.loadFactor;
   }

   public void setLoadFactor(java.lang.Float loadFactor)
   {
      this.loadFactor = loadFactor;
   }

   public java.lang.Boolean getCalculationExecuted()
   {
      return this.calculationExecuted;
   }

   public void setCalculationExecuted(java.lang.Boolean calculationExecuted)
   {
      this.calculationExecuted = calculationExecuted;
   }

   public QuoteRequest(java.lang.String requestedLimits,
         java.util.Date policyEffectiveDate, java.lang.Integer employeeCount,
         java.lang.Integer classID, java.lang.Double deductable,
         java.lang.Double premium, java.lang.Float baseRate,
         java.lang.Float loadFactor, java.lang.Boolean calculationExecuted)
   {
      this.requestedLimits = requestedLimits;
      this.policyEffectiveDate = policyEffectiveDate;
      this.employeeCount = employeeCount;
      this.classID = classID;
      this.deductable = deductable;
      this.premium = premium;
      this.baseRate = baseRate;
      this.loadFactor = loadFactor;
      this.calculationExecuted = calculationExecuted;
   }

}